# Interface methods for submodule: SpatialObjectProperty
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate



# Interface methods for class: SpatialObjectProperty
class SpatialObjectPropertyProxy():
	def Clear(self) -> None:
		""""""
		...

	@overload
	def SetColor(self, color: Tuple[int, int, int, int]) -> None:
		""""""
		...

	@overload
	def SetColor(self, r: float, g: float, b: float) -> None:
		""""""
		...

	def GetColor(self) -> Tuple[int, int, int, int]:
		""""""
		...

	def SetRed(self, r: float) -> None:
		""""""
		...

	def GetRed(self) -> float:
		""""""
		...

	def SetGreen(self, g: float) -> None:
		""""""
		...

	def GetGreen(self) -> float:
		""""""
		...

	def SetBlue(self, b: float) -> None:
		""""""
		...

	def GetBlue(self) -> float:
		""""""
		...

	def SetAlpha(self, a: float) -> None:
		""""""
		...

	def GetAlpha(self) -> float:
		""""""
		...

	def SetName(self, name: str) -> None:
		""""""
		...

	def GetName(self) -> str:
		""""""
		...

	def SetTagScalarValue(self, tag: str, value: float) -> None:
		""""""
		...

	def SetTagStringValue(self, tag: str, value: str) -> None:
		""""""
		...

	@overload
	def GetTagScalarValue(self, tag: str, value: float) -> bool:
		""""""
		...

	@overload
	def GetTagScalarValue(self, tag: str) -> float:
		""""""
		...

	def GetTagStringValue(self, tag: str) -> str:
		""""""
		...

	def GetTagScalarDictionary(self):
		""""""
		...

	def GetTagStringDictionary(self):
		""""""
		...

	def SetTagScalarDictionary(self, dict) -> None:
		""""""
		...

	def SetTagStringDictionary(self, dict) -> None:
		""""""
		...

	def Print(self, os) -> None:
		""""""
		...

